<%@ language = "VBSCRIPT" %>
<% 
  'Set source files
  if Request.QueryString("content") = "" then
	contentfile = "content.xml"
  else
	contentfile = Request.QueryString("content")
  end if
  sourceFile = Server.MapPath(contentfile) 
  
  if Request.Cookies("stylechoice") = "" then
	stylesheet = "style1.xsl"
  else
    stylesheet = Request.Cookies("stylechoice")
  end if
  styleFile = Server.MapPath(stylesheet)
   
  'Create DOM Documents
  set source = Server.CreateObject("Msxml2.FreeThreadedDOMDocument")
  source.load(sourceFile) 
  
  set style = Server.CreateObject("Msxml2.FreeThreadedDOMDocument")
  style.async = false
  style.load(styleFile) 

  'Get the style sheet root element
  set styleRoot = style.documentElement

  'Create the basic elements
  set templateElement = style.createElement("xsl:template")
  call templateElement.setAttribute("match", "content")
  set tableElement = style.createElement("table")  
  set newsRowElement = style.createElement("tr")
  set weatherTVRowElement = style.createElement("tr")
    
  set midRowElement = style.createElement("tr")
  set midRowCellElement = style.createElement("td")
  call midRowCellElement.setAttribute("colspan", "2")
  call midRowCellElement.appendChild(style.createElement("hr"))
  call midRowElement.appendChild(midRowCellElement)


  'Create the "apply-templates" elements
  set weatherElementCell = style.createElement("td")
  call weatherElementCell.setAttribute("valign", "top")
  set weatherElement = style.createElement("xsl:apply-templates")
  call weatherElement.setAttribute("select", "weather")
  weatherElementCell.appendChild(weatherElement)
  
  set schedulesElementCell = style.createElement("td")
  call schedulesElementCell.setAttribute("valign", "top")
  set schedulesElement = style.createElement("xsl:apply-templates")
  call schedulesElement.setAttribute("select", "schedules")
  schedulesElementCell.appendChild(schedulesElement)
  
  set newsElementCell = style.createElement("td")
  set newsElement = style.createElement("xsl:apply-templates")
  call newsElement.setAttribute("select", "gossip")
  call newsElementCell.appendChild(newsElement)
  call newsElementCell.setAttribute("colspan", "2")
  call newsRowElement.appendChild(newsElementCell)
  
  'Get user choices
  news = Request.Cookies("news")
  if news = "" then	news = "bottom"
  
  tvlistings = Request.Cookies("tvlistings")
  if tvlistings = "" then tvlistings = "right"
  
  weather = Request.Cookies("weather")
  if weather = "" then weather = "left"
  
  weatherlocation = Request.Cookies("weatherlocation")
  if weatherlocation = "" then weatherlocation = "Tampa, FL"
    
  'Build weather/listings row
  if weather = "left" then
	call weatherElementCell.setAttribute("class", "leftcell")  
    call weatherTVRowElement.appendChild(weatherElementCell)
  elseif tvlistings = "left" then
	call schedulesElementCell.setAttribute("class", "leftcell")
	call weatherTVRowElement.appendChild(schedulesElementCell)
  end if
  	
  if tvlistings = "right" then
	call schedulesElementCell.setAttribute("class", "rightcell")
	call weatherTVRowElement.appendChild(schedulesElementCell)
  elseif weather = "right" then
	call weatherElementCell.setAttribute("class", "rightcell")  
    call weatherTVRowElement.appendChild(weatherElementCell)
  end if
	
  'Complete the table
  if news = "none" then
	if weather <> "none" or tvlistings <> "none" then
		call tableElement.appendChild(weatherTVRowElement)
	end if
  elseif news = "top" then
	call newsRowElement.setAttribute("class", "toprow")
	call tableElement.appendChild(newsRowElement)
	if weather <> "none" or tvlistings <> "none" then
	    call tableElement.appendChild(midRowElement)
		call weatherTVRowElement.setAttribute("class", "bottomrow")
		call tableElement.appendChild(weatherTVRowElement)
	end if
  elseif news = "bottom" then
	if weather <> "none" or tvlistings <> "none" then
		call weatherTVRowElement.setAttribute("class", "toprow")
		call tableElement.appendChild(weatherTVRowElement)
        call tableElement.appendChild(midRowElement)
	end if
	call newsRowElement.setAttribute("class", "bottomrow")
	call tableElement.appendChild(newsRowElement)
  end if	

  'Add the table to the template and the template to the document
  call templateElement.appendChild(tableElement)
  call styleRoot.appendChild(templateElement)

  'Save and reload the document
  Application.Lock
  style.save(server.MapPath("temp.xsl"))
  style.load(server.MapPath("temp.xsl"))
  Application.Unlock

  'Create the XSL Processor
  set xslTemplate=createObject("MSXML2.XSLTemplate")
  xslTemplate.stylesheet = style
  set processor = xslTemplate.createProcessor

  'Set the parameter for the default city
  call processor.addParameter("weathercity", weatherlocation)

  'Set the source and destination
  processor.input = source
  processor.output = Response

  'Perform the transformation
  processor.transform
%>