import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.Transformer;
import javax.xml.transform.stream.StreamSource;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.dom.DOMSource;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.Element;

public class main extends HttpServlet {

    public void doGet(HttpServletRequest request, 
                      HttpServletResponse response)
    throws IOException, ServletException
    {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();

        try {
           //Set source files
           String XMLFileName = "http://localhost/";
           if (request.getParameter("content")== null) {
              XMLFileName = XMLFileName + "content.xml";
           } else {
              XMLFileName = XMLFileName + request.getParameter("content");
           }
           StreamSource source = new StreamSource(XMLFileName);
		   
           String XSLFileName = "";
		   String news = "";
		   String tvlistings = "";
		   String weather = "";
		   String weatherlocation = "";
           Cookie[] cookies = request.getCookies();
		   
           if (cookies != null) {
              for (int i = 0; i < cookies.length; i++) {
                 Cookie thisCookie = cookies[i];
				 if (thisCookie.getName().equals("stylechoice")){
                    XSLFileName = 
                         "http://localhost/"+thisCookie.getValue();
                 }
                 if (thisCookie.getName().equals("news")){
					 
					 
                    news = thisCookie.getValue();
                 }
                 if (thisCookie.getName().equals("tvlistings")){
                    tvlistings = thisCookie.getValue();
                 }
                 if (thisCookie.getName().equals("weather")){
                    weather = thisCookie.getValue();
                 }
                 if (thisCookie.getName().equals("weatherlocation")){
                    weatherlocation = thisCookie.getValue();
                 }
			  }
           }

		   if (news.equals("")) { news = "bottom"; }
		   if (tvlistings.equals("")) { tvlistings = "right"; }
		   if (weather.equals("")) { weather = "left"; }
		   if (weatherlocation.equals("")) { weatherlocation = "Tampa, FL"; }
		   
		   if (XSLFileName.equals("")) {
              XSLFileName = "http://localhost/style1.xsl";
           }
		   DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
		   dbf.setNamespaceAware(true);
		   DocumentBuilder db = dbf.newDocumentBuilder();
		   Document styleDoc = db.parse(XSLFileName);		   
	
           //Get the style sheet root element
           Node styleRoot = styleDoc.getDocumentElement();

           //Create the basic elements
		   Element templateElement = styleDoc.createElementNS("http://www.w3.org/1999/XSL/Transform", "xsl:template");
           templateElement.setAttribute("match", "content");
           Element tableElement = styleDoc.createElement("table");
           Element newsRowElement = styleDoc.createElement("tr");
           Element weatherTVRowElement = styleDoc.createElement("tr");
    
           Element midRowElement = styleDoc.createElement("tr");
           Element midRowCellElement = styleDoc.createElement("td");
           midRowCellElement.setAttribute("colspan", "2");
           midRowCellElement.appendChild(styleDoc.createElement("hr"));
           midRowElement.appendChild(midRowCellElement);

           //Create the "apply-templates" elements
           Element weatherElementCell = styleDoc.createElement("td");
           weatherElementCell.setAttribute("valign", "top");
		   Element weatherElement = styleDoc.createElementNS("http://www.w3.org/1999/XSL/Transform", "xsl:apply-templates");
           weatherElement.setAttribute("select", "weather");
           weatherElementCell.appendChild(weatherElement);
  
           Element schedulesElementCell = styleDoc.createElement("td");
           schedulesElementCell.setAttribute("valign", "top");
		   Element schedulesElement = styleDoc.createElementNS("http://www.w3.org/1999/XSL/Transform", "xsl:apply-templates");
           schedulesElement.setAttribute("select", "schedules");
           schedulesElementCell.appendChild(schedulesElement);
  
           Element newsElementCell = styleDoc.createElement("td");
		   Element newsElement = styleDoc.createElementNS("http://www.w3.org/1999/XSL/Transform", "xsl:apply-templates");
           newsElement.setAttribute("select", "gossip");
           newsElementCell.appendChild(newsElement);
           newsElementCell.setAttribute("colspan", "2");
           newsRowElement.appendChild(newsElementCell);
  
           //Build weather/listings row
		   if (weather.equals("left")) {
	          weatherElementCell.setAttribute("class", "leftcell");
              weatherTVRowElement.appendChild(weatherElementCell);
		   } else if (tvlistings.equals("left")) {
	          schedulesElementCell.setAttribute("class", "leftcell");
	          weatherTVRowElement.appendChild(schedulesElementCell);
		   }
  	
		   if (tvlistings.equals("right")) {
	          schedulesElementCell.setAttribute("class", "rightcell");
	          weatherTVRowElement.appendChild(schedulesElementCell);
		   } else if (weather.equals("right")) {
	          weatherElementCell.setAttribute("class", "rightcell");
              weatherTVRowElement.appendChild(weatherElementCell);
		   }
	
           //Complete the table
		   if (news.equals("none")) {
			   if (!weather.equals("none") || !tvlistings.equals("none")) {
		          tableElement.appendChild(weatherTVRowElement);
			   }
		   } else if (news.equals("top")) {
	           newsRowElement.setAttribute("class", "toprow");
	           tableElement.appendChild(newsRowElement);
			   if (!weather.equals("none") || !tvlistings.equals("none")) {
	              tableElement.appendChild(midRowElement);
		          weatherTVRowElement.setAttribute("class", "bottomrow");
		          tableElement.appendChild(weatherTVRowElement);
			   }
		   } else if (news.equals("bottom")) {
			   if (!weather.equals("none") || !tvlistings.equals("none")) {
		          weatherTVRowElement.setAttribute("class", "toprow");
		          tableElement.appendChild(weatherTVRowElement);
                  tableElement.appendChild(midRowElement);
			   }
	           newsRowElement.setAttribute("class", "bottomrow");
	           tableElement.appendChild(newsRowElement);
		   }

           //Add the table to the template and the template to the document
           templateElement.appendChild(tableElement);
           styleRoot.appendChild(templateElement);
	   
		   DOMSource style = new DOMSource(styleDoc);	
		   
           //Designate that the result goes to the browser;
           //StreamResult takes a Writer object.
           StreamResult result = new StreamResult(out);

           //Create the XSL processor
           TransformerFactory transFactory = TransformerFactory.newInstance();
		   Transformer transformer = transFactory.newTransformer(style);

		   //Set default weather location
		   transformer.setParameter("weathercity", weatherlocation);
		   
           //Transform the document
           transformer.transform(source, result);
   
      } catch (Exception e) {
         out.print(e.getMessage());
         e.printStackTrace();
      }
   }
}
