<?xml version="1.0"?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:template match="/">
<html>
<head>
<title>Primary Outpost</title>
<style type="text/css">
   * { font-family: arial, helvetica, "sans serif" }
   td { font-family: arial, helvetica, "sans serif"; font-size: 8pt }
   .blurb { border: 1px solid green; 
            font-size: 8pt;
            width: 90%;
            padding: 10px; }
   .blurbcell { text-align: center;
                padding: 10px; }
   a { text-decoration: none;
       color: green; }
   .headline { width: 100%;
               text-align: center }
   .navlinks { background-color: #EEEEEE }
   .gossipcell { font-size: 10pt; }
   .admincell { text-align: center;
                font-size: 8pt; }
   .bottomrow { border-top: 2px solid black;
                margin-top: 50px }
   .toprow {  } 
   .rightcell { border-left: 1px solid black;
                padding-left: 10px;
                vertical-align:	 top }               
</style>

</head>
<body style="text-align:center">
<a href="main"><img src="/images/logo.gif" border="0" alt="Primary Outpost Logo" height="67" width="496" /></a>

<table>
<tr><td colspan="2" class="blurbcell">
<div class="blurb">
Welcome to Primary Outpost, your one-stop shop for all 
    the latest in science fiction and fantasy news. Don't forget 
    to check out <a href="#">Save Our Shows</a>, in the news 
    section. Your voice counts!
</div>
</td></tr>

<tr><td width="21%" class="navlinks" valign="top">
<p>
<a href="news/news" title="the latest happenings">
<img src="/images/news.gif" border="0" align="middle" alt="News" height="39" width="39" />
News</a><br />
<a href="news/archives" title="better late then never">
<img src="/images/archives.gif" border="0" align="middle" alt="Archived News" height="39" width="39" />
Archived News</a><br />
<a href="bazaar/bazaar" title="shop">
<img src="/images/bazaar.gif" border="0" align="middle" alt="The Bazaar" height="39" width="39" />
The Bazaar</a><br />
<a href="auction/auctions" title="got it? sell it. want it? buy it">
<img src="/images/auction.gif" border="0" align="middle" alt="Auctions" height="39" width="39" />
Auctions</a><br />
<a href="mySpace/mySpace" title="carve out your niche">
<img src="/images/myspace.gif" border="0" align="middle" alt="mySpace" height="39" width="39" />
mySpace</a><br />
<a href="register" title="jump on board">
<img src="/images/register.gif" border="0" align="middle" alt="Register" height="39" width="39" />
Register</a>
</p>
</td><td class="gossipcell">
<p style="text-align:right; text-size:8pt"><a href="javascript:var newwin=window.open('/prefs.html','NewWin','toolbar=no,status=no,scrollbars=yes,resizable=yes,width=525,height=450')">Change Layout</a></p>

      <xsl:apply-templates select="content" />

</td></tr>

<tr><td colspan="2" class="admincell">
<div class="admin">
Copyright 1999, 2000, 2001, Nicholas Chase -- Need help? Contact the <a href="mailto:webmaster@nicholaschase.com">webmaster</a>
</div>
</td></tr>

</table>

</body>
</html>   
</xsl:template>

<xsl:template match="content/gossip">
   <h3 class="headline">The Unknown Gossip Columnist Rides Again</h3>
   <xsl:for-each select="teaser">
      <xsl:apply-templates select="." />
      <hr />
   </xsl:for-each>
</xsl:template>

<xsl:template match="movie">"<xsl:value-of select="." />"</xsl:template>

<xsl:template match="tvshow"><i><xsl:value-of select="." /></i></xsl:template>

<xsl:template match="person"><b><xsl:value-of select="." /></b></xsl:template>

<xsl:template match="mainheadline"><h2><xsl:value-of select="." /></h2></xsl:template>

<xsl:template match="headline"><h3><xsl:value-of select="." /></h3></xsl:template>

<xsl:template match="ul"><ul><xsl:apply-templates /></ul></xsl:template>
<xsl:template match="li"><li><xsl:apply-templates /></li></xsl:template>

<xsl:template match="resource">
   <xsl:element name="a">
      <xsl:attribute name="href"><xsl:value-of select="@location" /></xsl:attribute>
      <xsl:value-of select="." />
   </xsl:element>
</xsl:template>

<xsl:param name="weathercity">Tampa, FL</xsl:param>
<xsl:template match="weather">
	<h4>Local Weather:</h4>
	<xsl:apply-templates select="location[@city=$weathercity]"/>
	<br /><b>Other Locations:</b><br />
	<xsl:apply-templates select="location[@city!=$weathercity]"/>
</xsl:template>

<xsl:template match="location">
    <b><xsl:value-of select="@city"/></b>:
    <i><xsl:value-of select="temperature"/><sup>o</sup> F,
    <xsl:value-of select="clouds"/></i>
    <br />
</xsl:template>

<xsl:template match="schedules">
    <h4>Tonight's Viewing</h4>
    <xsl:apply-templates select="show" />
</xsl:template>

<xsl:template match="show">
    <b><xsl:value-of select="tvshow"/></b>: 
    <i><xsl:value-of select="tvtitle"/></i><br />
    <xsl:value-of select="tvtime"/>, <xsl:value-of select="tvnetwork"/>
    <br />
</xsl:template>

</xsl:stylesheet>
